﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{8704A0D9-150F-4F98-B0E7-788B06D46C76}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Narupa.OpenMM</RootNamespace>
    <AssemblyName>Narupa.OpenMM</AssemblyName>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x86'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>..\bin\Managed\Windows\x86\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <Prefer32Bit>false</Prefer32Bit>
    <DocumentationFile>..\bin\Managed\x86\Debug\Narupa.OpenMM.XML</DocumentationFile>
    <WarningLevel>4</WarningLevel>
    <Optimize>false</Optimize>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x86'">
    <OutputPath>..\bin\Managed\Windows\x86\Release\</OutputPath>
    <DefineConstants>TRACE;RELEASE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <Prefer32Bit>false</Prefer32Bit>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
    <PlatformTarget>x64</PlatformTarget>
    <OutputPath>bin\x64\Debug\</OutputPath>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="MathNet.Numerics, Version=4.6.0.0, Culture=neutral, PublicKeyToken=null">
      <HintPath>..\packages\MathNet.Numerics.4.6.0\lib\net461\MathNet.Numerics.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Nano">
      <HintPath>..\..\..\narupa-server\bin\release\Nano.dll</HintPath>
    </Reference>
    <Reference Include="Nano.Science.Simulation">
      <HintPath>..\..\..\narupa-server\bin\release\Nano.Science.Simulation.dll</HintPath>
    </Reference>
    <Reference Include="Nano.Server">
      <HintPath>..\..\..\narupa-server\bin\release\Nano.Server.dll</HintPath>
    </Reference>
    <Reference Include="Narupa.MD ">
      <HintPath>..\..\..\narupa-server\bin\release\Narupa.MD.dll</HintPath>
    </Reference>
    <Reference Include="Rug.Osc">
      <HintPath>..\..\..\narupa-server\bin\release\Rug.Osc.dll</HintPath>
    </Reference>
    <Reference Include="SlimMath">
      <HintPath>..\..\..\narupa-server\bin\release\SlimMath.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Numerics" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
    <Reference Include="QuickGraph">
      <HintPath>..\..\..\narupa-server\bin\release\QuickGraph.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="ForceField\AngleInfo.cs" />
    <Compile Include="ForceField\CCMAAlgorithm.cs" />
    <Compile Include="ForceField\ConstraintImplementation.cs" />
    <Compile Include="ForceField\OpenMMForceField.cs" />
    <Compile Include="ForceField\SETTLEAlgorithm.cs" />
    <Compile Include="Load\ResidueTerms\GBSAOBCForceResidueTerm.cs" />
    <Compile Include="Load\Terms\CMMotionRemoverTerm.cs" />
    <Compile Include="Load\Terms\GBSAOBCForceTerm.cs" />
    <Compile Include="Load\Terms\PeriodicTorsionForceTerm.cs" />
    <Compile Include="Load\Terms\NonBondedForceTerm.cs" />
    <Compile Include="Load\Terms\HarmonicBondForceTerm.cs" />
    <Compile Include="Load\Terms\HarmonicAngleForceTerm.cs" />
    <Compile Include="Load\Terms\IOpenMMForceFieldTerm.cs" />
    <Compile Include="Load\Terms\OpenMMTerms.cs" />
    <Compile Include="Load\ResidueTerms\ConstraintResidueTerm.cs" />
    <Compile Include="Load\ResidueTerms\NonBondedForceResidueTerm.cs" />
    <Compile Include="Load\ResidueTerms\PeriodicTorsionForceResidueTerm.cs" />
    <Compile Include="Load\ResidueTerms\CMMotionRemoverResidueTerm.cs" />
    <Compile Include="Load\ResidueTerms\HarmonicAngleForceResidueTerm.cs" />
    <Compile Include="Load\ResidueTerms\HarmonicBondForceResidueTerm.cs" />
    <Compile Include="Load\ResidueTerms\IOpenMMResidueTerm.cs" />
    <Compile Include="Load\ResidueTerms\OpenMMResidueTerms.cs" />
    <Compile Include="Load\Utils.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\OpenMMNET\OpenMMNET.csproj">
      <Project>{62C2E40F-8CB4-489D-B96A-DD0B53F5C024}</Project>
      <Name>OpenMMNET</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PreBuildEvent>
    </PreBuildEvent>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'DebugLinux|x64' ">
    <Optimize>false</Optimize>
    <OutputPath>..\..\bin\Managed\UNIX\x64\Debug</OutputPath>
    <WarningLevel>4</WarningLevel>
    <PlatformTarget>x64</PlatformTarget>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'ReleaseLinux|x64' ">
    <Optimize>false</Optimize>
    <OutputPath>..\..\bin\Managed\UNIX\x64\Release</OutputPath>
    <WarningLevel>4</WarningLevel>
    <PlatformTarget>x64</PlatformTarget>
  </PropertyGroup>
  <ItemGroup>
    <DebugNativeOutputFiles Include="$(SolutionDir)\bin\Native\Windows\x64\Debug\**\*.*" />
    <!--
    <DebugNativeOutputFiles Include="$(SolutionDir)\bin\Native\Windows\x64\Debug\OpenMMSwig.dll" />
    <DebugNativeOutputFiles Include="$(SolutionDir)\bin\Native\Windows\x64\Debug\OpenMMSwig.pdb" />
-->
  </ItemGroup>
    <ItemGroup>
        <LicenseFiles Include="$(OutputPath)\Licenses\**\*.*" />
    </ItemGroup>  
  <ItemGroup>
    <PluginManifest Include="PluginManifest.xml" />
  </ItemGroup>
  <ItemGroup>
    <DebugOutputFiles Include="$(OutputPath)Narupa.OpenMM.dll" />
    <DebugOutputFiles Include="$(OutputPath)OpenMMNET.dll" />
    <DebugOutputFiles Include="$(OutputPath)Narupa.OpenMM.pdb" />
    <DebugOutputFiles Include="$(OutputPath)OpenMMNET.pdb" />
  </ItemGroup>
  <ItemGroup>
    <ReleaseOutputFiles Include="$(OutputPath)Narupa.OpenMM.dll" />
    <ReleaseOutputFiles Include="$(OutputPath)OpenMMNET.dll" />
  </ItemGroup>
  <ItemGroup>
    <ReleaseNativeOutputFiles Include="$(SolutionDir)\bin\Native\Windows\x64\Release\**\*.*" />
    <!--<ReleaseNativeOutputFiles Include="$(SolutionDir)\bin\Native\Windows\x64\Release\OpenMMSwig.dll" />-->
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Licenses\GPL.txt">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Licenses\LGPL.txt">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Licenses\Licenses.txt">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
  <Target Name="CopyNativeOpenMMToNarupaEngine" AfterTargets="Build" Condition="'$(Configuration)'=='Release' AND '$(OS)'=='Windows_NT'">
    <Copy SourceFiles="@(ReleaseNativeOutputFiles)" DestinationFiles="$(SolutionDir)\..\..\narupa-server\bin\Plugins\OpenMMForceField\Native\%(RecursiveDir)%(Filename)%(Extension)">
      <Output TaskParameter="CopiedFiles" ItemName="Changed" />
    </Copy>
  </Target>
  <!-- we copy release native across as debug openmm build doesn't work -->
  <Target Name="CopyDebugNativeOpenMMToNarupaEngine" AfterTargets="Build" Condition="'$(Configuration)'=='Debug' AND '$(OS)'=='Windows_NT'">
    <Copy SourceFiles="@(ReleaseNativeOutputFiles)" DestinationFiles="$(SolutionDir)\..\..\narupa-server\bin\Plugins\OpenMMForceField\Native\%(RecursiveDir)%(Filename)%(Extension)">
      <Output TaskParameter="CopiedFiles" ItemName="Changed" />
    </Copy>
  </Target>
  <!-- Copy OpenMM library to directory... this can probably be tidied a bit! -->
  <Target Name="CopyReleaseOpenMMToNarupaEngine" AfterTargets="Build" Condition="'$(Configuration)'=='Release'">
    <Copy SourceFiles="@(ReleaseOutputFiles)" DestinationFiles="$(SolutionDir)\..\..\narupa-server\bin\Plugins\OpenMMForceField\Managed\%(RecursiveDir)%(Filename)%(Extension)">
      <Output TaskParameter="CopiedFiles" ItemName="Changed" />
    </Copy>
  </Target>
  <Target Name="CopyDebugOpenMMToNarupaEngine" AfterTargets="AfterBuild" Condition="'$(Configuration)'=='Debug'">
    <Copy SourceFiles="@(DebugOutputFiles)" DestinationFiles="$(SolutionDir)\..\..\narupa-server\bin\Plugins\OpenMMForceField\Managed\%(RecursiveDir)%(Filename)%(Extension)">
      <Output TaskParameter="CopiedFiles" ItemName="Changed" />
    </Copy>
  </Target>
  <Target Name="CopyPluginManifest" AfterTargets="AfterBuild">
    <Copy SourceFiles="@(PluginManifest)" DestinationFolder="$(SolutionDir)\..\..\narupa-server\bin\Plugins\OpenMMForceField\">
      <Output TaskParameter="CopiedFiles" ItemName="Changed" />
    </Copy>
  </Target>
<Target Name="CopyLicenseFiles" AfterTargets="AfterBuild">
    <Copy SourceFiles="@(LicenseFiles)" DestinationFiles="$(SolutionDir)\..\..\narupa-server\bin\Plugins\OpenMMForceField\Licenses\%(RecursiveDir)%(Filename)%(Extension)">
        <Output TaskParameter="CopiedFiles" ItemName="Changed" />
    </Copy>
</Target>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it.
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>